# $Revision: 1.5 $, $Date: 2011/03/29 16:43:27 $
Summary:	Flasm - assembler/disassembler of Flash ActionScript bytecode
Summary(pl.UTF-8):	Flasm - asembler/disasembler bajtkodu Flash ActionScript
Name:		flasm
Version:	1.63
Release:	1
License:	freeware
Group:		Development
Source0:	http://www.nowrap.de/download/%{name}16src.zip
# Source0-md5:	28a4586409061b385d1cd27d3f120c0b
URL:		http://www.nowrap.de/flasm.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	zlib-devel
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flasm disassembles your entire SWF including all the timelines and
events. Looking at disassembly, you learn how the Flash compiler
works, which improves your ActionScript skills. You can also do some
optimizations on the disassembled code by hand or adjust the code as
you wish. Flasm then applies your changes to the original SWF,
replacing original actions.

%description -l pl.UTF-8
Flasm disasembluje cały SWF wraz ze znacznikami czasu i zdarzeniami.
Patrząc na wynik można nauczyć się jak działa kompilator Flasha,
poprawiając swoją znajomość ActionScriptu. Można także dokonywać
ręcznie pewnych optymalizacji w zdisasemblowanym kodzie lub
modyfikować kod. Flasm następnie aplikuje zmiany w oryginalnym SWF-ie,
zastępując oryginalne działania.

%prep
%setup -q -c

%build
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install flasm $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.TXT LICENSE.TXT flasm.html classic.css
%doc flasm.ini
%attr(755,root,root) %{_bindir}/flasm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flasm.spec,v $
Revision 1.5  2011/03/29 16:43:27  gotar
- upgraded to 1.63

Revision 1.4  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/12/05 21:35:38  qboosh
- pl

Revision 1.1  2006/12/01 16:24:02  glen
- new
